id: "architecture-model"
version: "1.0.0"
name: "Architecture Modeling"
description: "A modeling configuration supporting the C4 Model for software architecture visualization and Architecture Governance for tracking technical debt, design alternatives, risks, and discussions"
# Metadata
metadata:
  tags:
    - "c4"
    - "architecture"
    - "software-design"
    - "governance"
    - "technical-debt"
    - "adr"
    - "risk-management"
  created: "2025-12-02T00:00:00Z"
  updated: "2025-12-11T00:00:00Z"

# Layers (customizable by customers, but at least one must be defined)
layers:
  - id: "business"
    name: "Business Layer"
    description: "Business processes, actors, and value streams"
    descriptionDetailed: "The business layer represents business processes, actors, roles, and value streams. Elements in this layer describe what the business does and who interacts with it."
  
  - id: "application"
    name: "Application Layer"
    description: "Software applications and services"
    descriptionDetailed: "The application layer represents software applications, services, and components. Elements in this layer describe how software systems are structured and how they interact."
  
  - id: "data"
    name: "Data Layer"
    description: "Data structures, schemas, and storage"
    descriptionDetailed: "The data layer represents data structures, schemas, entities, and storage mechanisms. Elements in this layer describe what information is stored and how it is structured."
  
  - id: "technology"
    name: "Technology Layer"
    description: "Infrastructure, platforms, and technology components"
    descriptionDetailed: "The technology layer represents infrastructure, platforms, and technology components. Elements in this layer describe the technical foundation and deployment infrastructure."
  
  - id: "organization"
    name: "Organization Layer"
    description: "Organizational structure, teams, and locations"
    descriptionDetailed: "The organization layer represents organizational structure, teams, locations, and deployment environments. Elements in this layer describe who owns what and where things are deployed."
  
  - id: "knowledge"
    name: "Knowledge Layer"
    description: "Decisions, assumptions, requirements, and learnings"
    descriptionDetailed: "The knowledge layer represents decisions, assumptions, requirements, constraints, and learnings. Elements in this layer capture architectural knowledge and rationale."

# System Definitions (centrally defined, cannot be modified)
systemDefinitions:
  - id: "k5-oml-system"
    version: "1.0.0"

# Modeling Profiles
# When the file is provided within the git project, specify the source
profiles:
  # Basic Shapes
  - id: "basic-shapes-profile"
    version: "1.0.0"
  
  # C4 Model
  - id: "c4-profile"
    version: "1.0.0"
  
  # Domain-Driven Design
  - id: "ddd-profile"
    version: "1.0.0"

  # Implementation Design
  - id: "implementation-profile"
    version: "1.0.0"

  # Risks, Tech Debt and Health
  - id: "a3-risks-techdebt-health-profile"
    version: "1.0.0"

  # Collaboration
  - id: "basic-collaboration-profile"
    version: "1.0.0"